Bug 596751 - [REG][6.0] Sometimes gdb aborts with a segmentation fault.
[REG][6.0] Sometimes gdb aborts with a segmentation fault.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gdb (Show other bugs)
6.0
All Linux
high Severity high
: rc
: ---
Assigned To: Jan Kratochvil
Petr Muller
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-27 08:53 EDT by Alan Matsuoka
Modified: 2016-09-19 22:06 EDT (History)
5 users (show)

See Also:
Fixed In Version: gdb-7.1-24.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 15:26:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Matsuoka 2010-05-27 08:53:01 EDT
Description of Problem:
This is a REGRESSION issue from RHEL6.0 alpha3.

Sometimes gdb aborts with a segmentation fault when a debuggee is attached
by 'attach' subcommand and then 'continue' subcommand is executed.

Please see the following log:
===
[root@RHEL6SS4 suga]# ./test &
[1] 10304
[root@RHEL6SS4 suga]# gdb
GNU gdb (GDB) Red Hat Enterprise Linux (7.1-18.el6)
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later
<http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
(gdb) attach 10304
Attaching to process 10304
Reading symbols from /root/suga/test...done.
Reading symbols from /lib64/libc.so.6...(no debugging symbols found)...done.
Loaded symbols for /lib64/libc.so.6
Reading symbols from /lib64/ld-linux-x86-64.so.2...(no debugging symbols
found)...done.
Loaded symbols for /lib64/ld-linux-x86-64.so.2
0x00007f05d9266ae0 in __nanosleep_nocancel () from /lib64/libc.so.6
Missing separate debuginfos, use: debuginfo-install
glibc-2.12-1.1.el6.x86_64
(gdb) c
Continuing.
[1]+  Done                    ./test
Segmentation fault (core dumped)
===

Version-Release number of selected component:
Red Hat Enterprise Linux Version Number: 6.0
Release Number: Snapshot 4
Architecture: x86_64
Kernel Version: 2.6.32-25.el6.x86_64
Related Package Version: gdb-7.1-18.el6
Related Middleware/Application: none

Drivers or hardware or architecture dependency:
none

How reproducible:
Sometimes

Step to Reproduce:
===test.c =========================
#include<stdio.h>

int main()
{
       sleep (20);
}
===================================

1. Compile the above target program (test.c):
# gcc -g -o test test.c

2. Execute test program in back ground:
# ./test &
[1] Target-PID

3. Execute gdb command:
# gdb

4. Execute gdb subcommand:
(gdb) attach Target-PID
(gdb) continue

Actual Results:
Segmentation fault occurs.

Expected Results:
The debuggee finishes normally.

Summary of actions taken to resolve issue: none

Location of diagnostic data: none

Hardware configuration:
Model: PRIMERGY RX300S4
CPU Info: Intel(R) Xeon(R) CPU X5460 @ 3.16GHz x 8
Memory Info: 16GB
Hardware Component Information: none
Configuration Info: none


Business Impact:
This is a REGRESSION issue from RHEL6.0 alpha3.

The 'attach' subcommand is basic function of gdb.
It is often used by our middleware developers and investigator.
Therefore, this issue has a very bad influence to our middleware developers.
And they might stop tests by this issue and make it impossible for us to
ship our
middleware and application on schedule.

So it is necessary the fix of this issue is released by RHEL6.0 GA.


Target Release: 6.0GA
Errata Request: No
Hotfix Request: No


Additional Info:
- The core file is attached.
core.19594

This is the core file of gdb that aborts with a segmentation fault.

- The sosreport file is attached.
sosreport-RHEL6SS4-20100524205010-a88f.tar.xz
(The md5sum is: 28bdf0cabf5fabac8b4b68fcb1eaa88f)
Comment 1 RHEL Product and Program Management 2010-05-27 08:55:50 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 5 Jan Kratochvil 2010-05-27 13:57:24 EDT
Post upstream:
http://sourceware.org/ml/gdb-patches/2010-05/msg00641.html
Comment 7 Fedora Update System 2010-06-01 17:50:54 EDT
gdb-7.1-24.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gdb-7.1-24.fc13
Comment 8 Fedora Update System 2010-06-02 14:14:57 EDT
gdb-7.1-24.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 releng-rhel@redhat.com 2010-11-10 15:26:25 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.